Modify Order

Modifies an open limit order.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params
string
required

Account address which is placing the order.

string
required

The order that will be replaced by this modify request

string
required

The instrument to buy or sell.

string
required

Size of position to trade in the underlying asset.

string
required

Can be buy or sell.

string
required

Can be limit, market, take_profit, or stop.

string
required

Can be one of gtc (Good til cancelled), gte (Good til expiration), ioc (Immediate or cancel), or fok (Fill-or-Kill).

string
required

Can be post_only or allow_cross. post_only is only supported for limit orders.

string
required

Signed order fields which are submitted to smart contracts for processing.

string

ID assigned to the order by the client. This must be unique per-account. Will be set automatically to the exchange's unique order_id if absent.

string

Limit price for the order. If this field is absent, null, or zero for take_profit and stop orders, the order will execute at market once the trigger_price is reached. This field must be absent, null or zero for market orders.

integer

Time that order will explicitly be canceled, in UNIX epoch seconds. For orders which do not have time-in-force gte, this field must be absent or explicitly set to null or zero.

string
required

Used to make orders with otherwise identical signed fields unique. See nonce section in glossary for specific requirements.

string
required

If true, this order will only reduce the size of an open position. Always true for take_profit orders.

string

The reference price at which the order will become active. Required for take_profit and stop orders. Ignored for other order types.

Headers
string
required
string
required
Responses

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json